Loading...
Searching...
No Matches
dataspace.h File Reference

Data space C interface. More...

`#include <l4/sys/compiler.h>`
`#include <l4/sys/types.h>`
Include dependency graph for dataspace.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | l4re_ds_stats_t
| Information about the data space. More...

## Enumerations

enum | l4re_ds_map_flags { }
| Flags to specify the memory mapping type of a request. More...

## Functions

long | l4re_ds_clear (l4re_ds_t ds, l4re_ds_offset_t offset, l4re_ds_size_t size) L4_NOTHROW
| Clear parts of a dataspace.
long | l4re_ds_allocate (l4re_ds_t ds, l4re_ds_offset_t offset, l4re_ds_size_t size) L4_NOTHROW
| Allocate a range in the dataspace.
int | l4re_ds_copy_in (l4re_ds_t ds, l4re_ds_offset_t dst_offs, l4re_ds_t src, l4re_ds_offset_t src_offs, l4re_ds_size_t size) L4_NOTHROW
| Copy contents from another dataspace.
l4re_ds_size_t | l4re_ds_size (l4re_ds_t ds) L4_NOTHROW
| Get size of a dataspace.
l4re_ds_flags_t | l4re_ds_flags (l4re_ds_t ds) L4_NOTHROW
| Get flags of the dataspace.
int | l4re_ds_info (l4re_ds_t ds, l4re_ds_stats_t *stats) L4_NOTHROW
| Get information on the dataspace.
int | l4re_ds_map_info (l4re_ds_t ds, l4_addr_t *start_addr, l4_addr_t *end_addr) L4_NOTHROW
| Get mapping range of dataspace.

## Variables

L4_BEGIN_DECLS typedef l4_cap_idx_t | l4re_ds_t
| Dataspace type.

## Detailed Description

Data space C interface.

Definition in file dataspace.h.